org.eclipse.gef.dot.internal.ui.language.outline

## Class DotHtmlLabelOutlineTreeProvider

- java.lang.Object
- - org.eclipse.xtext.ui.editor.outline.impl.DefaultOutlineTreeProvider
  - - org.eclipse.gef.dot.internal.ui.language.outline.DotHtmlLabelOutlineTreeProvider

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.outline.impl.IOutlineTreeStructureProvider, org.eclipse.xtext.ui.editor.outline.IOutlineTreeProvider, org.eclipse.xtext.ui.editor.outline.IOutlineTreeProvider.Cancelable

    public class DotHtmlLabelOutlineTreeProvider
    extends org.eclipse.xtext.ui.editor.outline.impl.DefaultOutlineTreeProvider

Customization of the default outline structure.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.xtext.ui.editor.outline.IOutlineTreeProvider

`org.eclipse.xtext.ui.editor.outline.IOutlineTreeProvider.Cancelable, org.eclipse.xtext.ui.editor.outline.IOutlineTreeProvider.ModeAware`

### Field Summary

### Fields inherited from class org.eclipse.xtext.ui.editor.outline.impl.DefaultOutlineTreeProvider

`createChildrenDispatcher, createNodeDispatcher, imageDispatcher, isLeafDispatcher, labelProvider, locationInFileProvider, textDispatcher`

### Constructor Summary

Constructors
Constructor and Description
`DotHtmlLabelOutlineTreeProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `_createChildren(org.eclipse.xtext.ui.editor.outline.impl.DocumentRootNode outlineNode, org.eclipse.gef.dot.internal.language.htmllabel.HtmlLabel model)` Skip the root element, represent only its children.
`void` `_createNode(org.eclipse.xtext.ui.editor.outline.IOutlineNode parent, org.eclipse.gef.dot.internal.language.htmllabel.HtmlContent htmlContent)` Skip the empty (containing nothing or only white-spaces) htmlContent elements, but process their tag children.
`protected org.eclipse.xtext.ui.editor.outline.impl.EObjectNode` `createEObjectNode(org.eclipse.xtext.ui.editor.outline.IOutlineNode parentNode, org.eclipse.emf.ecore.EObject modelElement, Image image, java.lang.Object text, boolean isLeaf)`

### Methods inherited from class org.eclipse.xtext.ui.editor.outline.impl.DefaultOutlineTreeProvider

`_createChildren, _createChildren, _createChildren, _createChildren, _createNode, _createNode, _createNode, _image, _isLeaf, _isLeaf, _text, checkCanceled, createChildren, createEObjectNode, createEStructuralFeatureNode, createNode, createRoot, createRoot, isLocalElement, nullSafeClassName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotHtmlLabelOutlineTreeProvider

    public DotHtmlLabelOutlineTreeProvider()

### Method Detail

#### _createChildren

    public void _createChildren(org.eclipse.xtext.ui.editor.outline.impl.DocumentRootNode outlineNode,
                                org.eclipse.gef.dot.internal.language.htmllabel.HtmlLabel model)

Skip the root element, represent only its children.

#### _createNode

    public void _createNode(org.eclipse.xtext.ui.editor.outline.IOutlineNode parent,
                            org.eclipse.gef.dot.internal.language.htmllabel.HtmlContent htmlContent)

Skip the empty (containing nothing or only white-spaces) htmlContent elements, but process their tag children.

#### createEObjectNode

    protected org.eclipse.xtext.ui.editor.outline.impl.EObjectNode createEObjectNode(org.eclipse.xtext.ui.editor.outline.IOutlineNode parentNode,
                                                                                     org.eclipse.emf.ecore.EObject modelElement,
                                                                                     Image image,
                                                                                     java.lang.Object text,
                                                                                     boolean isLeaf)

Overrides:
  `createEObjectNode` in class `org.eclipse.xtext.ui.editor.outline.impl.DefaultOutlineTreeProvider`